# kate: space-indent on; indent-width 4;
# vim: set ts=4 sw=4 et:
#
# spec file for package moviethumbnailer (Version 1.6.0)
#
# Copyright (c) 2011 Kyrill Detinov
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#

Name:           moviethumbnailer
Version:        1.6.0
Release:        2.2
License: GPL-2.0
Summary:        Bash Script for Making Sets of Movie Screenshots
URL:            http://cli-apps.org/content/show.php/Movie+Thumbnailer?content=74676
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source0:        %{name}-1.5.9.tar.bz2
# PATCH-FEATURE-OPENSUSE moviethumbnailer-1.5.9-enhancement.patch lazy.kent@opensuse.org -- various enhancements
Patch0:         moviethumbnailer-1.5.9-enhancement.patch
Requires:       ImageMagick
Requires:       MPlayer
Provides:       MovieThumbnailer = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
MovieThumbnailer is a Bash script for making sets of movie screenshots,
similar to "ImageGrabber" for Windows and "QFrameCatcher" for Linux.

This script provides 3 ways to make screenshots:

 * Specify the desired number of screenshots to make.
 * Specify the desired time between screenshots.
 * Select frames manually. Use arrow keys to fast forward/rewind and [S]
   to take screenshots. Close mplayer to continue.

Also this utility has the following features:

 * Randomizer: screenshots will be slightly different each time you take
   them.
 * Ability to specify several files at one time.
 * The output image will also include some information about the file.

%prep
%setup -qn %{name}-1.5.9
%patch0

%build

%install
%__install -Dm 755 MovieThumbnailer.sh %{buildroot}%{_bindir}/%{name}

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}

%changelog
* Sun Apr 10 2011 lazy.kent@opensuse.org
- initial package created - 1.5.9
- enhancement patch
- bump version to 1.6.0
